Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# RtMidi Class Reference

An abstract base class for realtime MIDI input/output. More...

`#include <RtMidi.h>`

Inheritance diagram for RtMidi:

List of all members.

## Public Member Functions
virtual void | openPort (unsigned int portNumber=0, const std::string portName=std::string("RtMidi"))=0
| Pure virtual openPort() function.
virtual void | openVirtualPort (const std::string portName=std::string("RtMidi"))=0
| Pure virtual openVirtualPort() function.
virtual unsigned int | getPortCount ()=0
| Pure virtual getPortCount() function.
virtual std::string | getPortName (unsigned int portNumber=0)=0
| Pure virtual getPortName() function.
virtual void | closePort (void)=0
| Pure virtual closePort() function.

## Detailed Description

An abstract base class for realtime MIDI input/output.

This class implements some common functionality for the realtime MIDI input/output subclasses RtMidiIn and RtMidiOut.

RtMidi WWW site: http://music.mcgill.ca/~gary/rtmidi/

RtMidi: realtime MIDI i/o C++ classes Copyright (c) 2003-2010 Gary P. Scavone

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

Any person wishing to distribute modifications to the Software is requested to send the modifications to the original developer so that they can be incorporated into the canonical version.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

The documentation for this class was generated from the following file:

- RtMidi.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.